Gyoto::Screen::Empty Class Reference

A dummy, empty 2D set. More...

`#include <GyotoScreen.h>`

Inheritance diagram for Gyoto::Screen::Empty:

## Public Member Functions

virtual Coord2dSet & | operator++ ()
| Increment pointer.
virtual void | begin ()
| Reset pointer.
virtual bool | valid ()
| Whether the end has not been passed.
virtual size_t | size ()
| Number of positions contained.
virtual GYOTO_ARRAY< size_t, 2 > | operator* () const
| Get pixel coordinates.
virtual GYOTO_ARRAY< double, 2 > | angles () const
| Get angle coordinates.

## Public Attributes

const CoordType_e | kind
| Whether this set holds pixels or angle specifications.

## Detailed Description

A dummy, empty 2D set.

## Member Function Documentation

## angles()

virtual GYOTO_ARRAY< double, 2 > Gyoto::Screen::Coord2dSet::angles | ( |  | ) | const

virtual inherited

Get angle coordinates.

Reimplemented in Gyoto::Screen::Bucket.

## begin()

virtual void Gyoto::Screen::Empty::begin | ( |  | ) |

virtual

Reset pointer.

Implements Gyoto::Screen::Coord2dSet.

## operator*()

virtual GYOTO_ARRAY< size_t, 2 > Gyoto::Screen::Coord2dSet::operator* | ( |  | ) | const

virtual inherited

Get pixel coordinates.

Reimplemented in Gyoto::Screen::Bucket, and Gyoto::Screen::Grid.

## operator++()

virtual Coord2dSet & Gyoto::Screen::Empty::operator++ | ( |  | ) |

virtual

Increment pointer.

Implements Gyoto::Screen::Coord2dSet.

## size()

virtual size_t Gyoto::Screen::Empty::size | ( |  | ) |

virtual

Number of positions contained.

Implements Gyoto::Screen::Coord2dSet.

## valid()

virtual bool Gyoto::Screen::Empty::valid | ( |  | ) |

virtual

Whether the end has not been passed.

Implements Gyoto::Screen::Coord2dSet.

The documentation for this class was generated from the following file:

- GyotoScreen.h